API Explorer 1.0
Get/api/Catalogs/{catalogId}/GetAvailableEventIntensities
API Explorer 1.0 > All Operations Resource Group : /api/Catalogs/{catalogId}/GetAvailableEventIntensities (Get)
Description
This call enables you to retrieve available intensity footprints for an event. The application allows you to track the storm surge intensity footprints and windspeed intensity of the selected events on the map. Similarly, you can automate this workflow using this API endpoint. For example: you can search for an event using the QueryEventsByIds API and filter the events that interest you using the QueryEventsByFilters API, and then use these results in the GetAvailableEventIntensities call to obtain the full track of the specific events.
Parameters
NameDescriptionData Type
Represents the unique indentifier for the cataloginteger (int32)
Event IDinteger (int32)
Indicates the current API versionstring
200 Response

The response body is of type Array[EventIntensityFootprint].

Indicates a successful completion of the call. Based on your selection of events, the response contains the intensity footprints for that event including the sub-peril option and the range of Bounding Box parameters.

Overview

Array[EventIntensityFootprint]
EventIntensityFootprint
Specifies type for an event intensity footprint
eventId : integer (int32)
Specifies the event ID
catalogId : integer (int32)
Specifies the unique identifier of the catalog associated with the request
subPeril : string
Specifies the sub-peril
isAvailable : boolean
Indicates whether the intensity footprint is available for the requested event identifier
boundingBox : BoundingBox
The bounding box (BBOX) or envelope is an expression of the maximum extents of a two-dimensional object (e.g. point, line, polygon) or set of objects within its (or their) two-dimensional (x, y) coordinate system, in other words min(x), max(x), min(y), max(y).
srs : string
A framework to measure locations on the surface of the earth as a two-dimensional Cartesian Coordinate System, where SRS stands for Spatial Reference System.
minx : string
Specifies mininum value on the x-axis plane
miny : string
Specifies mininum value on the y-axis plane
maxx : string
Specifies maximum value on x-axis plane
maxy : string
Specifies maximum value on y-axis plane
Fault Responses
FaultDescription
This fault returns a response body of type ProblemDetails.
Bad Request
This fault returns a response body of type ProblemDetails.
Unauthorized
See Also
All Operations Resource GroupAPI Explorer 1.0